var Y K N C lambda R I PI M U Z;

varexo EPZ EPU;

parameters A ALPHA BETA YK CK MC RSS DELTA OMEGA1 OMEGA2 ETA B ISS;
parameters RHOZ RHOU GAMMA THETA PHI phi NSS;
ALPHA = 0.36;
DELTA = 0.019;
BETA = 0.989;
SIGMA = 1;
ETA = 1;
THETA = 1.0125;
PHI = 2;
phi = 0.3;
A = 0.95;
B = 2.56;
YK = (1/ALPHA)*((1/BETA) - 1 + DELTA);
CK = YK - DELTA;
MC = ((A/(1-A))*((THETA-BETA)/THETA))^(1/B);
RSS = ALPHA*YK + 1 - DELTA;
NSS = 1/3;
ISS = RSS*THETA;
GAMMA = (1 + (1/A)*(1-A)*(MC^(1-B)))^(-1);
OMEGA1 = GAMMA*PHI + (1 - GAMMA)*B;
OMEGA2 = (B - PHI)*(1-GAMMA);
RHOZ = 0.9;
RHOU = 0.3;

model(linear);
    Z = RHOZ*Z(-1) + EPZ;
    U = RHOU*U(-1)+ phi*Z(-1) + EPU;
    Y = ALPHA*K(-1) + (1-ALPHA)*N + Z;
    YK*Y = CK*C + K - (1-DELTA)*K(-1);
    Y = (1 + (ETA*NSS/(1-NSS)))*N - lambda;
    lambda = -PHI*C - (ISS/(1+ISS))*I;
    M = C;
    M = M(-1) + U - PI;
    lambda = lambda(+1) + R; 
    R  = ALPHA*YK*(Y(+1) - K) ;
    I = R + PI(+1);
end;

steady;
check;


shocks;
//var EPZ;
//stderr 0.007;
var EPU;
stderr 0.0089;
end;

stoch_simul;
//stoch_simul(periods=1000,irf=1,simul_seed=3)  ;
