% parameters in miu model
% miu_p.m
%
% U.S. average M1/C for 1984:1-2007:2 is 0.176
% value of b implied by Table 2.1 is 7-11.
%
clear all
% Calibrating the parameter a
% ratio of M to quarterly C
MCM1=4*.199; 
MCMZ = 4*.66 % for MZM/C, 1.99 for M1/C;
THETAM1 = 1.01; % 1.017 for MZM, 1.01 for M1
THETAMZ = 1.017;
beta = 0.989;
QM1 = (THETAM1 - beta)/THETAM1;
QMZ = (THETAMZ - beta)/THETAMZ;
iss = 0.0299;
ir = iss/(1+iss);

%MssCss = ((.99/.01)*(Q))^(-1/9)

b = [2 3 4 5 6 7 8 9 10 11];
n = size(b,2);

for i=1:n;
XM1(i) = (MCM1)^(-b(i))/QM1;
aM1(i) = XM1(i)/(1+XM1(i));
XMZ(i) = (MCMZ)^(-b(i))/QMZ;
aMZ(i) = XMZ(i)/(1+XMZ(i));
end
[b' aM1' aMZ']

